Sunday, 24 February 2008

NVIDIA Linux driver 1.0-9625 fails to compile with kernel 2.6.24.2

I was getting errors like:
  • 'kmem_cache_t' is deprecated
  • SA_SHIRQ and SA_INTERRUPT undeclared
You can get a patch here.

To apply it:

wget -nc http://rsappe.googlepages.com/NVIDIA-Linux-x86-1.0-9625-2.6.24.2.patch
sh NVIDIA-Linux-x86-1.0-9625-pkg1.run --extract-only --target virgin_dir
cd virgin_dir/
patch -p1 < ../NVIDIA-Linux-x86-1.0-9625-2.6.24.2.patch
./nvidia-installer

No comments: